Bug 965216 - when subscription-manager register with --consumerid the installed products are not being sent
when subscription-manager register with --consumerid the installed products a...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: William Poteat
Depends On:
  Show dependency treegraph
Reported: 2013-05-20 13:57 EDT by Kedar Bidarkar
Modified: 2013-05-23 14:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-23 14:19:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
katello log (190.25 KB, text/x-log)
2013-05-22 08:53 EDT, Tom McKay
no flags Details

  None (edit)
Description Kedar Bidarkar 2013-05-20 13:57:15 EDT
Description of problem:

On registering a system via consumerid, the installed products are not being sent.

This was realised while adding a system first via the Katello UI and then registering the system via --consumerid.

Version-Release number of selected component (if applicable):

[root@xyz ~]# rpm -qav | grep -i subscription-manager

How reproducible:

Steps to Reproduce:
1. Add a system to the UI, Systems -> New Systems
2. Now move to the system and register that system using the below command.
subscription-manager register --user admin --password admin --consumerid UUID
3. Move to UI to find, 
"the installed products are not being sent".

Actual results:
On registering the client via --consumerid 
"the installed products are not being sent by subscription-manager"
as seen from the below screenshots.

Expected results:
"the installed products info must be sent by subscription-manager" when registering via --consumerid.

Additional info:
Comment 1 Kedar Bidarkar 2013-05-20 13:59:22 EDT
Created attachment 750687 [details]
Comment 2 Kedar Bidarkar 2013-05-20 14:00:23 EDT
Created attachment 750688 [details]
Comment 4 Tom McKay 2013-05-22 08:53:10 EDT
Created attachment 751718 [details]
katello log

This is the katello log from the sub-mgr register with consumer id. Note that the installed products are never sent. Even during a heal and cert check the installed products are not resent.
Comment 5 Tom McKay 2013-05-22 08:54:29 EDT
Registering client system rhel 6.4

[root@rhel64-sys1 ~]# rpm -qa | grep rhsm
[root@rhel64-sys1 ~]# rpm -qa | grep subscr
Comment 6 William Poteat 2013-05-23 14:19:37 EDT
This issue no longer exists in 

subscription-manager: 1.8.8-1.git.0.2ca28df.fc16
python-rhsm: 1.8.11-1.git.1.7236cc2.fc16

Note You need to log in before you can comment on or make changes to this bug.